<?php

namespace App\Filament\Actions\Cheerful;

use App\Filament\Support\CheerfulNotification;
use Filament\Actions\RestoreAction as ActionsRestoreAction;

class RestoreAction extends ActionsRestoreAction
{
    protected function setUp(): void
    {
        parent::setUp();

        $this->modalHeading(fn () => CheerfulNotification::getByKey('actions.restore.title'));

        $this->modalDescription(fn () => CheerfulNotification::getByKey('actions.restore.description'));

        $this->successNotification(fn () => CheerfulNotification::restore()
        );
    }
}
